# Function ngModelAriaDirective

- ngModelAriaDirective($aria): {
  priority: number;
  require: string;
  restrict: string;
  compile(elem: any, attr: any): {
  post(scope: any, elem: any, attr: any, ngModel: any): void;
  };
  }

- #### Parameters

  - $aria: any

  #### Returns {
  priority: number;
  require: string;
  restrict: string;
  compile(elem: any, attr: any): {
  post(scope: any, elem: any, attr: any, ngModel: any): void;
  };
  }

  - ##### priority: number

  - ##### require: string

  - ##### restrict: string

  - ##### compile:function

    - compile(elem, attr): {
      post(scope: any, elem: any, attr: any, ngModel: any): void;
      }

    - #### Parameters

      - elem: any
      - attr: any

      #### Returns {
      post(scope: any, elem: any, attr: any, ngModel: any): void;
      }

      - ##### post:function

        - post(scope, elem, attr, ngModel): void

        - #### Parameters

          - scope: any
          - elem: any
          - attr: any
          - ngModel: any

          #### Returns void

          - Defined in directive/aria/aria.js:257
      - Defined in directive/aria/aria.js:251
  - Defined in directive/aria/aria.js:213

#####
Index

### Properties

$inject

##
Properties

### $inject

$inject: string[]

- Defined in directive/aria/aria.js:212